package sun.management;

import sun.management.counter.Counter;
import java.util.List;

public interface HotspotCompilationMBean
{
    public abstract int getCompilerThreadCount();
    
    public abstract List<CompilerThreadStat> getCompilerThreadStats();
    
    public abstract long getTotalCompileCount();
    
    public abstract long getBailoutCompileCount();
    
    public abstract long getInvalidatedCompileCount();
    
    public abstract MethodInfo getLastCompile();
    
    public abstract MethodInfo getFailedCompile();
    
    public abstract MethodInfo getInvalidatedCompile();
    
    public abstract long getCompiledMethodCodeSize();
    
    public abstract long getCompiledMethodSize();
    
    public abstract List<Counter> getInternalCompilerCounters();
}
